- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Value_Blob_Operations Struct Reference
Generic Value Blob management

How to manage blob. More...

## Data Fields
unsigned int | version
| must be EINA_VALUE_BLOB_OPERATIONS_VERSION
void(* | free )(const Eina_Value_Blob_Operations *ops, void *memory, size_t size)
void *(* | copy )(const Eina_Value_Blob_Operations *ops, const void *memory, size_t size)
int(* | compare )(const Eina_Value_Blob_Operations *ops, const void *data1, size_t size_data1, const void *data2, size_t size_data2)
char *(* | to_string )(const Eina_Value_Blob_Operations *ops, const void *memory, size_t size)

## Detailed Description

How to manage blob.

Any `NULL` callback is ignored.

Since
  1.2